Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::SharedMemoryProtocolProperties Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::SharedMemoryProtocolProperties:

[legend]
Collaboration diagram for RTCORBA::SharedMemoryProtocolProperties:

[legend]
List of all members.

## Public Types
typedef SharedMemoryProtocolProperties_ptr | _ptr_type
typedef SharedMemoryProtocolProperties_var | _var_type
## Public Methods
virtual CORBA::Long | preallocate_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | preallocate_buffer_size (CORBA::Long preallocate_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | mmap_filename (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | mmap_filename (const char *mmap_filename ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual char * | mmap_lockname (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | mmap_lockname (const char *mmap_lockname ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
SharedMemoryProtocolProperties_ptr | _duplicate (SharedMemoryProtocolProperties_ptr obj)
SharedMemoryProtocolProperties_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
SharedMemoryProtocolProperties_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| SharedMemoryProtocolProperties (void)
virtual | ~SharedMemoryProtocolProperties (void)
## Private Methods
| SharedMemoryProtocolProperties (const SharedMemoryProtocolProperties &)
void | operator= (const SharedMemoryProtocolProperties &)

## Member Typedef Documentation

typedef SharedMemoryProtocolProperties_ptr RTCORBA::SharedMemoryProtocolProperties::_ptr_type

| Reimplemented from RTCORBA::ProtocolProperties.

typedef SharedMemoryProtocolProperties_var RTCORBA::SharedMemoryProtocolProperties::_var_type

| Reimplemented from RTCORBA::ProtocolProperties.

## Constructor & Destructor Documentation

RTCORBA::SharedMemoryProtocolProperties::SharedMemoryProtocolProperties | ( | void |  | ) | `[protected]`

RTCORBA::SharedMemoryProtocolProperties::~SharedMemoryProtocolProperties | ( | void |  | ) | `[protected, virtual]`

RTCORBA::SharedMemoryProtocolProperties::SharedMemoryProtocolProperties | ( | const SharedMemoryProtocolProperties & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::SharedMemoryProtocolProperties_ptr RTCORBA::SharedMemoryProtocolProperties::_duplicate | ( | SharedMemoryProtocolProperties_ptr | obj | ) | `[static]`

const char * RTCORBA::SharedMemoryProtocolProperties::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual CORBA::Boolean RTCORBA::SharedMemoryProtocolProperties::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

SharedMemoryProtocolProperties_ptr RTCORBA::SharedMemoryProtocolProperties::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

SharedMemoryProtocolProperties_ptr RTCORBA::SharedMemoryProtocolProperties::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from RTCORBA::ProtocolProperties.

void RTCORBA::SharedMemoryProtocolProperties::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

CORBA::Boolean RTCORBA::SharedMemoryProtocolProperties::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual void RTCORBA::SharedMemoryProtocolProperties::mmap_filename | ( | const char *mmap_filename | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_SMEM_Properties.

virtual char* RTCORBA::SharedMemoryProtocolProperties::mmap_filename | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_SMEM_Properties.

virtual void RTCORBA::SharedMemoryProtocolProperties::mmap_lockname | ( | const char *mmap_lockname | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_SMEM_Properties.

virtual char* RTCORBA::SharedMemoryProtocolProperties::mmap_lockname | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_SMEM_Properties.

void RTCORBA::SharedMemoryProtocolProperties::operator= | ( | const SharedMemoryProtocolProperties & |  | ) | `[private]`

virtual void RTCORBA::SharedMemoryProtocolProperties::preallocate_buffer_size | ( | CORBA::Long preallocate_buffer_size | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_SMEM_Properties.

virtual CORBA::Long RTCORBA::SharedMemoryProtocolProperties::preallocate_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_SMEM_Properties.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp